Bug 507461 - blkid returns dm-* for UUIDs instead of /dev/mapper name
blkid returns dm-* for UUIDs instead of /dev/mapper name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 16:42 EDT by Zing
Modified: 2009-08-08 15:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.41.4-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2009-06-22 16:42:57 EDT
Description of problem:
I was fooling around with mounting by UUID in my fstab and noticed that tools like mount and df started returning dm-* device names, where I expected /dev/mapper names.

... I tried two patches (the tip @ 46f3eeca59) and that looked like it fixed it on my end (admittedly a quick test though).


Version-Release number of selected component (if applicable):
e2fsprogs-1.41.4-10.fc11

How reproducible:
fairly easily

Steps to Reproduce:
1. have a lv available or one that exists (i.e. /usr, /tmp, etc.)
2. in /etc/fstab switch to mount it by "UUID=<uuid num>"
3. reboot
4. $ blkid -l -t UUID=<uuid num>

Actual results:
/dev/dm-?: UUID=<uuid num>

Expected results:
/dev/mapper/myvg-usrlv: UUID=<uuid num>
Comment 1 Eric Sandeen 2009-06-24 13:39:43 EDT
This upstream patch should fix it:

http://git.kernel.org/?p=fs/ext2/e2fsprogs.git;a=commitdiff_plain;h=4271e23942bdc60e1fa6c0b26bc666a94a8b3e1d

and I'm currently building it into F10 and F11 to fix bug #497259

It should be in updates-testing shortly.

Thanks,
-Eric
Comment 2 Fedora Update System 2009-06-26 22:53:38 EDT
e2fsprogs-1.41.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update e2fsprogs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7005
Comment 3 Fedora Update System 2009-06-30 11:38:08 EDT
e2fsprogs-1.41.4-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/e2fsprogs-1.41.4-12.fc11
Comment 4 Fedora Update System 2009-07-02 01:53:51 EDT
e2fsprogs-1.41.4-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update e2fsprogs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7278
Comment 5 Fedora Update System 2009-07-23 15:11:48 EDT
e2fsprogs-1.41.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-08-08 15:25:31 EDT
e2fsprogs-1.41.4-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.